DNF5-REINSTALL(8)

BEZEICHNUNG
dnf5-reinstall - Reinstall-Befehl

ÜBERSICHT

dnf5 reinstall [globale Optionen] Paketangabe-NPFB …

BESCHREIBUNG

Der reinstall-Befehl in DNF5 dient zur Neuinstallation von Paketen, die in den Paketangabe-NPFB-Argumenten definiert sind.

OPTIONEN

--allowerasing
    erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

--skip-broken
    behebt etwaige Abhängigkeitsprobleme, indem Pakete, die Probleme verursachen, aus der Transaktion entfernt werden.

--skip-unavailable
    erlaubt das Überspringen von Paketen, die sich möglicherweise nicht neu installieren lassen. Alle übrigen Pakete werden neu installiert.

--allow-downgrade
    aktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

--no-allow-downgrade
    deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

--installed-from=PAKETQUELLEN-ID, …
    filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

--from-repo=PAKETQUELLEN-ID, …
    sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

--downloadonly
    lädt den nach Auflösung der Abhängigkeiten ermittelten Paketsatz herunter, ohne eine RPM-Transaktion auszuführen.

--offline
    speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

--store=PFAD
    speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PFAD, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl, dnf5-replay(8), ausgeführt werden.

BEISPIELE

dnf5 reinstall tito
    Installiert das Paket tito neu.

dnf5 reinstall ~/Downloads/tito-0.6.21-1.fc36.noarch.rpm
    Installiert das Paket tito neu aus einer lokalen rpm-Datei. Dies kann nützlich sein, wenn das angegebene Paket in keiner der aktivierten Paketquellen verfügbar ist.

SIEHE AUCH
dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.